import MapData from './model/MapData';

import {loadMap} from './view/MapLoader';
import Renderer from './view/renderer/Renderer';

window.onload = () => {
	const canvas = document.getElementById('rpgedit') as HTMLCanvasElement;
	if (!canvas)
		return;

	const renderer = new Renderer(canvas);

	const xhr = new XMLHttpRequest();

	xhr.addEventListener('load', async function() {
		const mapDef = new MapData(JSON.parse(this.responseText));

		const mapView = await loadMap(renderer, mapDef);
		mapView.draw();
	});

	xhr.open('GET', 'resources/map/test.json', true);
	xhr.send();
};
